/**
 * The <code>KeyInterface</code> is a common interface to
 * data key objects.  Used by Node and LinkList classes.
 *
 * @author  Somesh Jha
 * @author  Jeff Stephenson
 */

package optionCalc;
   
public interface KeyInterface 
{
    /**
     * Checks whether or not two key objects are equal
     *
     * @param   k			the (KeyInterface) to the comparison object
     */
    public boolean isEqual(KeyInterface key);

    /**
     * Checks whether this key is less than the given key
     *
     * @param   k			the (KeyInterface) to the comparison object
     */
    public boolean isLessThan(KeyInterface key);

    /**
     * Interface for printing a key.
     */
    public void printKey();

};